curl --location 'https://api.nameshouts.com/api/v2.0/name/albert/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:22:53",
"user_id": 30508,
"count": 41,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
Names
Get Name with Language
GET
/
name
/
{name}
/
{language}
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:22:53",
"user_id": 30508,
"count": 41,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
GET
GET https://api.nameshouts.com/api/v2.0/name/albert/german
| Attribute | Description |
|---|---|
| id | Unique Identifier For Name |
| language_id | The id of the language for the audio. To get the language name, see the language section above. |
| path_directory | Audio Path will give you the link to our audio file on the server. Please note that all our audio files are in .mp3 format. The path for the audio will be: https://nslibrary01.blob.core.windows.net/ns-audio/{path value}.mp3 Note that the file type (.mp3) needs to be concatenated with our path value. |
null. “sim_names” will return an array of names similar to the missing name.
Authorization
| Bearer Token | |
|---|---|
| Token | {{token}} |
Path parameters
string
Example:
albertstring
Example:
germanExamples
Get Albert in German
Example Requestcurl
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert/german'
200 OK
Body
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:22:53",
"user_id": 30508,
"count": 41,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
| Key | Value |
|---|---|
| Server | nginx/1.14.0 (Ubuntu) |
| Content-Type | application/json |
| Transfer-Encoding | chunked |
| Connection | keep-alive |
| Cache-Control | no-cache, private |
| Date | Wed, 10 Aug 2022 02:22:54 GMT |
curl --location 'https://api.nameshouts.com/api/v2.0/name/albert/german' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
{
"activity_count": {
"id": 27157,
"created_at": "2022-08-04 02:50:51",
"updated_at": "2022-08-10 02:22:53",
"user_id": 30508,
"count": 41,
"limit": 50
},
"name_res": [
{
"id": 33736,
"name": "Albert",
"name_phonetic": "al-behrt",
"gender": "male",
"language_id": 28,
"path_directory": "albert_de",
"public": 1,
"created_at": "2020-06-30 00:08:00",
"updated_at": "2020-06-30 00:08:00"
}
]
}
